Skip to content
Find file
Fetching contributors…
Cannot retrieve contributors at this time
156 lines (153 sloc) 4.54 KB
<?xml version="1.0"?>
<package version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0
http://pear.php.net/dtd/tasks-1.0.xsd
http://pear.php.net/dtd/package-2.0
http://pear.php.net/dtd/package-2.0.xsd">
<name>PEAR_RemoteInstaller</name>
<channel>pear.php.net</channel>
<summary>PEAR Remote installation plugin through FTP, SFTP, and FTPS</summary>
<description>Originally part of the 1.4.0 new features,
remote installation through FTP, FTPS and SFTP is now its own package.
This package adds the commands &quot;remote-install&quot; &quot;remote-upgrade&quot;
&quot;remote-uninstall&quot; and &quot;remote-upgrade-all&quot; to the PEAR core.
To take advantage, you must have a config file on the remote
ftp server and full access to the server to create and remove
files. The config-create command can be used to get started,
and the remote_config configuration variable is set to the
full URL as in &quot;ftp://ftp.example.com/path/to/pear.ini&quot; or
&quot;ftps://user:pass@ftp.example.com/path/to/pear.ini&quot; or
&quot;ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini&quot;
After this is done, install/upgrade as normal using the
remote* commands as if they were local.
</description>
<lead>
<name>Greg Beaver</name>
<user>cellog</user>
<email>cellog@php.net</email>
<active>yes</active>
</lead>
<date>2006-12-15</date>
<version>
<release>0.3.2</release>
<api>0.1.0</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<license uri="http://www.php.net/license">PHP License</license>
<notes>
* fix Bug #9768: notice error raised with remote-uninstall
</notes>
<contents>
<dir name="/">
<dir name="PEAR">
<dir name="Command">
<file name="Remoteinstall.xml" role="php"/>
<file name="Remoteinstall.php" role="php">
<tasks:replace from="@package_version@" to="version" type="package-info" />
</file>
</dir> <!-- /PEAR/Command -->
<file name="FTP.php" role="php">
<tasks:replace from="@package_version@" to="version" type="package-info" />
</file>
<file name="RemoteInstaller.php" role="php">
<tasks:replace from="@package_version@" to="version" type="package-info" />
</file>
</dir> <!-- /PEAR -->
</dir> <!-- / -->
</contents>
<dependencies>
<required>
<php>
<min>5.0.0</min>
</php>
<pearinstaller>
<min>1.5.0RC1</min>
</pearinstaller>
<package>
<name>PEAR</name>
<channel>pear.php.net</channel>
<min>1.4.3</min>
</package>
</required>
<optional>
<package>
<name>ssh2</name>
<channel>pecl.php.net</channel>
<providesextension>ssh2</providesextension>
</package>
</optional>
</dependencies>
<phprelease/>
<changelog>
<release>
<version>
<release>0.1.0</release>
<api>0.1.0</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<date>2005-08-20</date>
<license uri="http://www.php.net/license/3_0.txt">PHP License</license>
<notes>
initial separate release from PEAR
</notes>
</release>
<release>
<version>
<release>0.2.0</release>
<api>0.1.0</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<date>2005-11-29</date>
<license uri="http://www.php.net/license">PHP License</license>
<notes>
Update to new format needed by PEAR 1.4.3
</notes>
</release>
<release>
<version>
<release>0.3.0</release>
<api>0.1.0</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<date>2006-04-02</date>
<license uri="http://www.php.net/license">PHP License</license>
<notes>
Support for FTPS and SFTP is now available!
* Drop Net_FTP dependency, add dependency on PHP 5, use streams to access
FTP.
* Require PEAR 1.4.3 for security reasons
* Add optional dep on ssh2 extension
</notes>
</release>
<release>
<version>
<release>0.3.1</release>
<api>0.1.0</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<date>2006-12-15</date>
<license uri="http://www.php.net/license">PHP License</license>
<notes>
fix Bug #7881: stream_copy_to_stream function args reversed
fix bug in uninstall - $atts instead of $atts['attribs']
fix unclear error message in put()
up required PEAR Installer dependency to 1.5.0RC1 because of bug
fixed in that version
</notes>
</release>
</changelog>
</package>
Jump to Line
Something went wrong with that request. Please try again.